.\"	$NetBSD: makedbm.8,v 1.12 2005/02/26 16:24:24 wiz Exp $
.\"
.\" Copyright (c) 1994 Mats O Jansson <moj@stacken.kth.se>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt MAKEDBM 8
.Os
.Sh NAME
.Nm makedbm
.Nd create a NIS database
.Sh SYNOPSIS
.Nm
.Bk -words
.Fl u Ar dbfile
.Ek
.Nm makedbm
.Op Fl bls
.Bk -words
.Op Fl d Ar yp_domain_name
.Ek
.Bk -words
.Op Fl i Ar yp_input_file
.Ek
.Bk -words
.Op Fl m Ar yp_master_name
.Ek
.Bk -words
.Op Fl o Ar yp_output_file
.Ek
.Ar infile outfile
.Sh DESCRIPTION
.Nm
is the utility in
.Tn NIS
that creates the
.Xr db 3
database file containing the
.Tn NIS
map.
.Pp
.Ar infile
is the pathname of the source file (where
.Dq -
is standard input).
Each line consists of the key and the value, with a space separating
the items.
Blank lines are ignored, and a
.Dq #
is a comment character and indicates that the rest of the line should
be ignored.
.Pp
.Ar outfile
is the pathname of the generated database.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl b
Interdomain. Include an entry in the database informing a
.Tn NIS
server to use
DNS to get information about unknown hosts. This option will only have
effect on the maps
.Pa hosts.byname
and
.Pa hosts.byaddr .
.It Fl l
Lowercase. Convert all keys to lower case before adding them to the
.Tn NIS
database.
.It Fl s
Secure map. Include an entry in the database informing
.Xr ypxfr 8
and
.Xr ypserv 8
that the
.Tn NIS
map is going to be handled as secure (i.e., not served
to clients that don't connect from a reserved port).
.It Fl d Ar yp_domain_name
Include an entry in the map with
.Sq YP_DOMAIN_NAME
as the key and
.Ar yp_domain_name
as the value.
.It Fl i Ar yp_input_file
Include an entry in the map with
.Sq YP_INPUT_FILE
as the key and
.Ar yp_input_file
as the value.
.It Fl m Ar yp_master_name
Include an entry in the map with
.Sq YP_MASTER_NAME
as the key and
.Ar yp_master_name
as the value.
.It Fl o Ar yp_output_file
Include an entry in the map with
.Sq YP_OUTPUT_FILE
as the key and
.Ar yp_output_file
as the value.
.It Fl u Ar dbfile
Dump the contents of
.Ar dbfile
to standard output, in a format suitable to be passed back into
.Nm .
.Ar dbfile
is the pathname to the database.
.El
.Sh SEE ALSO
.Xr db 3 ,
.Xr nis 8 ,
.Xr ypserv 8 ,
.Xr ypxfr 8
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
